import request from '@/utils/request'

// 查询电价配置列表
export function listGwPriceConfig(query) {
  return request({
    url: '/ems/basecfg/elecPrice/gw/list',
    method: 'get',
    params: query
  })
}

// 列出所有
export function listGwPriceConfigAll() {
  return request({
    url: '/ems/basecfg/elecPrice/gw/listall',
    method: 'get'
  })
}

// 查询电价配置详细
export function getGwPriceConfig(id) {
  return request({
    url: '/ems/basecfg/elecPrice/gw/' + id,
    method: 'get'
  })
}

// 新增电价配置
export function addGwPriceConfig(data) {
  return request({
    url: '/ems/basecfg/elecPrice/gw',
    method: 'post',
    data: data
  })
}

// 修改电价配置
export function updateGwPriceConfig(data) {
  return request({
    url: '/ems/basecfg/elecPrice/gw',
    method: 'put',
    data: data
  })
}

// 删除电价配置
export function delGwPriceConfig(id) {
  return request({
    url: '/ems/basecfg/elecPrice/gw/' + id,
    method: 'delete'
  })
}
